## tigr-glimmer 2.13

=== Makefile ===
# -*- makefile -*-
# just make headings for each thing and put the headings
# on the line for ALL
PROJECTDIR = .
BINDIR = $(PROJECTDIR)

CC = gcc
CPPC = g++
CFLAGS = -O3 -g -Wall
LDFLAGS = -lm

DEPEND_FILES = *.cc *.c *.h
CLEANABLE_FILES = *.o *~

ALL = adjust anomaly build-icm check codon-usage compare-lists \
       extract generate get-len get-putative glimmer2 long-orfs

.SUFFIXES: .cc .c

.c.o:
	$(CC) $(CFLAGS) -c $*.c -o $*.o 

.cc.o:
	$(CPPC) $(CFLAGS) -c $*.cc -o $*.o 

all:    $(ALL)

adjust:	adjust.o delcher.o
	$(CPPC) -o $(BINDIR)/$@ adjust.o delcher.o $(LDFLAGS)

anomaly:	anomaly.o delcher.o gene.o
	$(CPPC) -o $(BINDIR)/$@ anomaly.o delcher.o gene.o $(LDFLAGS)

build-icm:	build-icm.o misc.o
	$(CC) -o $(BINDIR)/$@ build-icm.o misc.o $(LDFLAGS)

check:	check.o delcher.o
	$(CPPC) -o $(BINDIR)/$@ check.o delcher.o $(LDFLAGS)

codon-usage:	codon-usage.o delcher.o gene.o
	$(CPPC) -o $(BINDIR)/$@ codon-usage.o delcher.o gene.o $(LDFLAGS)

compare-lists:	compare-lists.o delcher.o
	$(CPPC) -o $(BINDIR)/$@ compare-lists.o delcher.o $(LDFLAGS)

extract:	extract.o delcher.o
	$(CPPC) -o $(BINDIR)/$@ extract.o delcher.o $(LDFLAGS)

generate:	generate.o delcher.o gene.o
	$(CPPC) -o $(BINDIR)/$@ generate.o delcher.o gene.o $(LDFLAGS)

get-len:	get-len.o delcher.o
	$(CPPC) -o $(BINDIR)/$@ get-len.o delcher.o $(LDFLAGS)

get-putative:	get-putative.o delcher.o
	$(CPPC) -o $(BINDIR)/$@ get-putative.o delcher.o $(LDFLAGS)

glimmer2:	glimmer2.o delcher.o gene.o rnabin.o
	$(CPPC) -o $(BINDIR)/$@ glimmer2.o delcher.o gene.o rnabin.o $(LDFLAGS)

long-orfs:	long-orfs.o delcher.o gene.o
	$(CPPC) -o $(BINDIR)/$@ long-orfs.o delcher.o gene.o $(LDFLAGS)

rnabin:	rnabin.o delcher.o
	$(CPPC) -o $(BINDIR)/$@ rnabin.o delcher.o $(LDFLAGS)

depend:
	makedepend $(DEPEND_FILES)

clean:
	/bin/rm -f $(CLEANABLE_FILES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

## tigr-glimmer 3.02

=== SimpleMake/Makefile ===
# Simple Makefile for Glimmer3

BINDIR = ../bin
OBJDIR = ../obj
LIBDIR = ../lib

VPATH = $(BINDIR):$(OBJDIR):$(LIBDIR)

COMMON_SRCS = delcher.cc fasta.cc gene.cc
COMMON_OBJS = $(COMMON_SRCS:.cc=.o)

GLIMMER_SRCS = anomaly.cc glimmer3.cc long-orfs.cc test.cc
GLIMMER_OBJS = $(GLIMMER_SRCS:.cc=.o)
GLIMMER_PROGS = $(GLIMMER_SRCS:.cc=)

ICM_SRCS = icm.cc build-icm.cc build-fixed.cc score-fixed.cc
ICM_OBJS = $(ICM_SRCS:.cc=.o)
ICM_PROGS = build-icm build-fixed score-fixed

UTIL_SRCS = entropy-profile.cc entropy-score.cc extract.cc multi-extract.cc \
  start-codon-distrib.cc uncovered.cc window-acgt.cc
UTIL_OBJS = $(UTIL_SRCS:.cc=.o)
UTIL_PROGS = $(UTIL_SRCS:.cc=)

SOURCES = $(COMMON_SRCS) $(GLIMMER_SRCS) $(ICM_SRCS) $(UTIL_SRCS)
OBJECTS = $(COMMON_OBJS) $(GLIMMER_OBJS) $(ICM_OBJS) $(UTIL_OBJS)
PROGS = $(COMMON_PROGS) $(GLIMMER_PROGS) $(ICM_PROGS) $(UTIL_PROGS)

LIBRARIES = libGLMcommon.a libGLMicm.a

AR = ar
ARFLAGS = -rsv
CPPC = g++
CFLAGS = -g
LDFLAGS = -lm -L $(LIBDIR)

DEPEND_FILES = *.cc *.hh
CLEANABLE_FILES = $(OBJDIR)/*.o *~

ALL = $(LIBRARIES) $(PROGS)

.SUFFIXES: .cc

.cc.o:
	$(CPPC) $(CFLAGS) -c $*.cc -o $(OBJDIR)/$*.o 

all: $(ALL)

anomaly:  anomaly.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/anomaly.o $(LDFLAGS) -lGLMcommon

build-fixed:  build-fixed.o libGLMicm.a libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/build-fixed.o $(LDFLAGS) -lGLMicm -lGLMcommon

build-icm:  build-icm.o libGLMicm.a libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/build-icm.o $(LDFLAGS) -lGLMicm -lGLMcommon

entropy-profile:  entropy-profile.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/entropy-profile.o $(LDFLAGS) -lGLMcommon

entropy-score:  entropy-score.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/entropy-score.o $(LDFLAGS) -lGLMcommon

extract:  extract.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/extract.o $(LDFLAGS) -lGLMcommon

glimmer3:  glimmer3.o libGLMicm.a libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/glimmer3.o $(LDFLAGS) -lGLMicm -lGLMcommon

long-orfs:  long-orfs.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/long-orfs.o $(LDFLAGS) -lGLMcommon

multi-extract:  multi-extract.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/multi-extract.o $(LDFLAGS) -lGLMcommon

score-fixed:  score-fixed.o libGLMicm.a libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/score-fixed.o $(LDFLAGS) -lGLMicm -lGLMcommon

start-codon-distrib:  start-codon-distrib.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/start-codon-distrib.o $(LDFLAGS) -lGLMcommon

test:  test.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/test.o $(LDFLAGS) -lGLMcommon

uncovered:  uncovered.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/uncovered.o $(LDFLAGS) -lGLMcommon

window-acgt:  window-acgt.o libGLMcommon.a
	$(CPPC) -o $(BINDIR)/$@ $(OBJDIR)/window-acgt.o $(LDFLAGS) -lGLMcommon


libGLMcommon.a:  $(COMMON_OBJS)
	$(AR) $(ARFLAGS) $(LIBDIR)/$@ $(OBJDIR)/delcher.o $(OBJDIR)/fasta.o $(OBJDIR)/gene.o

libGLMicm.a:  icm.o
	$(AR) $(ARFLAGS) $(LIBDIR)/$@ $(OBJDIR)/icm.o

depend:
	makedepend $(DEPEND_FILES)

clean:
	/bin/rm -f $(CLEANABLE_FILES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== src/ICM/Makefile ===
# Makefile for Glimmer3/src/ICM

LOCAL_WORK = $(shell cd ../..; pwd)

ICM_SRCS = icm.cc build-icm.cc build-fixed.cc score-fixed.cc
ICM_OBJS = $(ICM_SRCS:.cc=.o)

SOURCES = $(ICM_SRCS)
OBJECTS = $(ICM_OBJS)

PROGS = build-icm build-fixed score-fixed

LIBRARIES = libGLMicm.a

include  $(LOCAL_WORK)/src/c_make.glm

all:    $(OBJECTS) $(LIBRARIES) $(PROGS)

build-icm:  build-icm.o libGLMicm.a libGLMcommon.a

build-fixed:  build-fixed.o libGLMicm.a libGLMcommon.a

score-fixed:  score-fixed.o libGLMicm.a libGLMcommon.a

libGLMicm.a:  $(ICM_OBJS)

=== debian/changelog ===
tigr-glimmer (3.02-3) unstable; urgency=low

  * debian/upstream: publication information
  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - updated homepage URL
     - cme fix dpkg-control
     - canonical Vcs URLs
     - dropped cdbs + quilt from Build-Depends
  * debian/README.source: deleted because redundant
  * debian/rules: switch from cdbs to dh
  * Hardening by droping Makefile patch in favour of providing
    options directly inside debian/rules
  * debian/copyright: DEP5
  * Verified current build log and noticed that -L/usr/lib is not used
    Closes: #722845

 -- Andreas Tille <tille@debian.org>  Tue, 05 Nov 2013 10:33:48 +0100

tigr-glimmer (3.02-2) unstable; urgency=low

  * debian/control:
    - Fixed Vcs-Svn (missing svn/)
    - Updated Standards-Version to 3.8.1 (no changes needed)
    - Standards-Version: 3.8.3 (no changes needed)
    - debhelper (>= 7)
  * Fixed E-Mail address of upstream author in debian/copyright
  * Fix FTBFS on amd64
    Closes: #560442
  * Added README.source

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jan 2010 22:52:45 +0100

tigr-glimmer (3.02-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/watch:
    - Replaced by the new one written by Nelson (Closes: #385258)

  [ Andreas Tille ]
  *  New upstream version
  * Group maintenance by Debian-Med team
    - DM-Upload-Allowed: Yes
    - Vcs tags
    - Use correct address as Uploader: Steffen Moeller <moeller@debian.org>
  * Standards-Version: 3.7.3 (no changes needed)
  * debhelper >= 5
  * Moved Homepage from long description to control fields
  * Removed [Biology] from short description

 -- Andreas Tille <tille@debian.org>  Tue, 22 Apr 2008 11:59:07 +0200

tigr-glimmer (2.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Kumar Appaiah (Closes: #461691)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 20 Mar 2008 00:02:06 +0100

tigr-glimmer (2.13-1) unstable; urgency=low

  * New upstream release - no significant changes for Linux users.
  * Resolves conflict for "extract" binary and man page (Closes:Bug#227790,Bug#274780).

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Wed, 10 Nov 2004 11:58:46 +0100

tigr-glimmer (2.12-1) unstable; urgency=low

  * Initial Release (Closes:#219453).
  * Added man pages to upstream release

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Thu, 16 Oct 2003 17:33:46 +0200

=== debian/control ===
Source: tigr-glimmer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               docbook-to-man
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/tigr-glimmer/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/tigr-glimmer/trunk/
Homepage: http://ccb.jhu.edu/software/glimmer/index.shtml

Package: tigr-glimmer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Gene detection in archea and bacteria
 Developed by the TIGR institute this software detects coding sequences in
 bacteria and archea.
 .
 Glimmer is a system for finding genes in microbial DNA, especially the
 genomes of bacteria and archaea. Glimmer (Gene Locator and Interpolated
 Markov Modeler) uses interpolated Markov models (IMMs) to identify the
 coding regions and distinguish them from noncoding DNA.

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES=debian/glimmer2_mans/tigr-anomaly.1 \
	 debian/glimmer2_mans/tigr-build-icm.1 \
	 debian/glimmer2_mans/tigr-extract.1 \
	 debian/glimmer2_mans/tigr-glimmer3.1 \
	 debian/glimmer2_mans/tigr-long-orfs.1 \
	 debian/glimmer2_mans/tigr-run-glimmer3.1

.SUFFIXES: .1 .sgml

.sgml.1:
	docbook-to-man $< > $@

%:
	dh $@

override_dh_clean:
	dh_clean $(MANPAGES)
	cd src; make clean
	rm -f bin/* lib/* obj/*

override_dh_auto_build: $(MANPAGES)
	# dh_auto_build
	cd src; make CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

=== debian/watch ===
version=3
opts="dversionmangle=s/\.//" \
http://www.cbcb.umd.edu/software/glimmer/ glimmer(.*)\.tar.gz

## tigr-glimmer 3.02b

=== src/Makefile ===
TGT= $@


all:
	@ TGT=objs
	@ $(dosubdirs)
	@ TGT=libs
	@ $(dosubdirs)
	@ TGT=progs
	@ $(dosubdirs)


install: all
	@ $(dosubdirs)

clean:
	@ $(dosubdirs)


tester: 
	@ $(dosubdirs)


regression: 
	@ $(dosubdirs)

LOCAL_WORK = $(shell cd ..; pwd)
# Include for AS project rules
include $(LOCAL_WORK)/src/c_make.glm

=== src/Common/Makefile ===
# Makefile for Glimmer3/src/Common

LOCAL_WORK = $(shell cd ../..; pwd)

COMMON_SRCS = delcher.cc fasta.cc gene.cc
COMMON_OBJS = $(COMMON_SRCS:.cc=.o)

SOURCES = $(COMMON_SRCS)
OBJECTS = $(COMMON_OBJS)

PROGS = 

LIBRARIES = libGLMcommon.a

include  $(LOCAL_WORK)/src/c_make.glm

all:    $(OBJECTS) $(LIBRARIES) $(PROGS)

libGLMcommon.a:  $(COMMON_OBJS)

=== src/Glimmer/Makefile ===
# Makefile for Glimmer3/src/Glimmer

LOCAL_WORK = $(shell cd ../..; pwd)

GLIMMER_SRCS = anomaly.cc glimmer3.cc long-orfs.cc test.cc

SOURCES = $(GLIMMER_SRCS)
OBJECTS = $(GLIMMER_OBJS)

PROGS = anomaly glimmer3 long-orfs test

LIBRARIES = 

include  $(LOCAL_WORK)/src/c_make.glm

all:    $(OBJECTS) $(LIBRARIES) $(PROGS)

anomaly:  anomaly.o libGLMcommon.a

glimmer3:  glimmer3.o libGLMcommon.a libGLMicm.a

long-orfs:  long-orfs.o libGLMcommon.a

test:  test.o libGLMcommon.a

=== src/Util/Makefile ===
# Makefile for Glimmer3/src/Util

LOCAL_WORK = $(shell cd ../..; pwd)

UTIL_SRCS = entropy-profile.cc entropy-score.cc extract.cc multi-extract.cc \
  start-codon-distrib.cc uncovered.cc window-acgt.cc

SOURCES = $(UTIL_SRCS)
OBJECTS = $(UTIL_OBJS)

PROGS = entropy-profile entropy-score extract multi-extract start-codon-distrib \
  uncovered window-acgt

LIBRARIES = 

include  $(LOCAL_WORK)/src/c_make.glm

all:    $(OBJECTS) $(LIBRARIES) $(PROGS)

entropy-profile:  entropy-profile.o libGLMcommon.a

entropy-score:  entropy-score.o libGLMcommon.a

extract:  extract.o libGLMcommon.a

multi-extract:  multi-extract.o libGLMcommon.a

start-codon-distrib:  start-codon-distrib.o libGLMcommon.a

uncovered:  uncovered.o libGLMcommon.a

window-acgt:  window-acgt.o libGLMcommon.a

=== debian/changelog ===
tigr-glimmer (3.02b-6) unstable; urgency=medium

  * d/rules: prevent CXXDEFS from setting __cplusplus (Closes: #984367)
  * d/control: add myself to uploaders
  * d/watch: fall back to http protocol to repair scan
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 20:37:42 +0200

tigr-glimmer (3.02b-5) unstable; urgency=medium

  * Team upload.
  * Reinforce Makefile error checking and increase verbosity; initial version
    for 3.02b-4 missed at least one point at linking time.  Closes: #960294

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Wed, 13 May 2020 22:19:56 +0200

tigr-glimmer (3.02b-4) unstable; urgency=medium

  * Team upload.
  * Reinforce Makefiles error checking.  Closes: #960294

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Mon, 11 May 2020 20:55:39 +0200

tigr-glimmer (3.02b-3) unstable; urgency=medium

  [ Steffen Möller ]
  * Updated d/u/metadata

  [ Nilesh Patra ]
  * Add autopkgtests

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.13-1.
  * Refer to specific version of license GPL-2+.
  * Do not use docbook-to-man to create manpages
  * Rename debian/NEWS.Debian to NEWS

 -- Andreas Tille <tille@debian.org>  Wed, 29 Apr 2020 22:53:42 +0200

tigr-glimmer (3.02b-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use dh_auto_build. (Closes: #900114)

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 15:08:21 +0200

tigr-glimmer (3.02b-1) unstable; urgency=medium

  * New bugfix release
  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2016 11:21:11 +0100

tigr-glimmer (3.02-5) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * hardening=+all
  * cme fix dpkg-control

  [ Canberk Koç ]
  * Autopkgtest added

 -- Canberk Koç <canberkkoc@gmail.com>  Fri, 12 Aug 2016 07:29:52 +0300

tigr-glimmer (3.02-4) unstable; urgency=medium

  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Fix crashes reported by Mayhem
    Closes: #715701, #715702

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2015 10:17:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tigr-glimmer
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               docbook-to-man
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/tigr-glimmer/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/tigr-glimmer/trunk/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/tigr-glimmer
+Vcs-Git: https://salsa.debian.org/med-team/tigr-glimmer.git
 Homepage: http://ccb.jhu.edu/software/glimmer/index.shtml
+Rules-Requires-Root: no
 
 Package: tigr-glimmer
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# override value set in src/c_make.gen leading to #984367
export CXXDEFS =

%:
	dh $@

override_dh_clean:
	dh_clean $(MANPAGES)
	cd src; make clean
	rm -f bin/* lib/* obj/*

override_dh_auto_build: $(MANPAGES)
	dh_auto_build --sourcedirectory=src -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)/$1./" \
http://ccb.jhu.edu/software/glimmer/index.shtml glimmer([\da-z]+)\.tar.gz
# FIXME: uscan http address since https looks somewhat broken:
#        500 Can't connect to ccb.jhu.edu:443 (SSL connect attempt failed error:1414D172:SSL routines:tls12_check_peer_sigalg:wrong signature type
